package com.fs.watch.domain.vo;

import com.fs.watch.domain.WatchSpo2Data;

import java.util.UUID;

public class WatchSpo2DataVo {
    /**
     *
     */
    private UUID id;

    /**
     *
     */
    private String deviceId;

    /**
     *
     */
    private Double avgBoxy;

    /**
     *
     */
    private Integer maxBoxy;

    /**
     *
     */
    private Integer minBoxy;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 状态 0:正常 1:过高 2:过低
     */
    private Integer status;
    /**

     /**
     *
     */
    private String createTime;

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    public UUID getId() {
        return id;
    }

    /**
     *
     */
    public void setId(UUID id) {
        this.id = id;
    }

    /**
     *
     */
    public String getDeviceId() {
        return deviceId;
    }

    /**
     *
     */
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    /**
     *
     */
    public Double getAvgBoxy() {
        return avgBoxy;
    }

    /**
     *
     */
    public void setAvgBoxy(Double avgBoxy) {
        this.avgBoxy = avgBoxy;
    }

    /**
     *
     */
    public Integer getMaxBoxy() {
        return maxBoxy;
    }

    /**
     *
     */
    public void setMaxBoxy(Integer maxBoxy) {
        this.maxBoxy = maxBoxy;
    }

    /**
     *
     */
    public Integer getMinBoxy() {
        return minBoxy;
    }

    /**
     *
     */
    public void setMinBoxy(Integer minBoxy) {
        this.minBoxy = minBoxy;
    }

    /**
     *
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     *
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        WatchSpo2Data other = (WatchSpo2Data) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId()))
                && (this.getAvgBoxy() == null ? other.getAvgBoxy() == null : this.getAvgBoxy().equals(other.getAvgBoxy()))
                && (this.getMaxBoxy() == null ? other.getMaxBoxy() == null : this.getMaxBoxy().equals(other.getMaxBoxy()))
                && (this.getMinBoxy() == null ? other.getMinBoxy() == null : this.getMinBoxy().equals(other.getMinBoxy()))
                && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
        result = prime * result + ((getAvgBoxy() == null) ? 0 : getAvgBoxy().hashCode());
        result = prime * result + ((getMaxBoxy() == null) ? 0 : getMaxBoxy().hashCode());
        result = prime * result + ((getMinBoxy() == null) ? 0 : getMinBoxy().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", deviceId=").append(deviceId);
        sb.append(", avgBoxy=").append(avgBoxy);
        sb.append(", maxBoxy=").append(maxBoxy);
        sb.append(", minBoxy=").append(minBoxy);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
